GNU bug report logs - #42059
26.3; OpenBSD now has posix_openpt(3)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: YASUOKA Masahiko <yasuoka@HIDDEN>; dated Fri, 26 Jun 2020 13:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 1 Jul 2020 11:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 01 07:25:13 2020
Received: from localhost ([127.0.0.1]:52428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqarY-0004gT-QG
	for submit <at> debbugs.gnu.org; Wed, 01 Jul 2020 07:25:13 -0400
Received: from chomsky.autogeree.net ([91.216.110.36]:59532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jca@HIDDEN>) id 1jqarW-0004gJ-Bv
 for 42059 <at> debbugs.gnu.org; Wed, 01 Jul 2020 07:25:11 -0400
Received: from shannon.wxcvbn.org (localhost [127.0.0.1])
 by wxcvbn.org (8.16.0.50/8.15.2) with ESMTP id 061BNJG7071953;
 Wed, 1 Jul 2020 13:23:19 +0200 (CEST)
From: Jeremie Courreges-Anglas <jca@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
In-Reply-To: 83o8p0zkta.fsf@HIDDEN
Date: Wed, 01 Jul 2020 13:23:12 +0200
Message-ID: <87y2o3a38f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (berkeley-unix)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42059
Cc: mattiase@HIDDEN, YASUOKA Masahiko <yasuoka@HIDDEN>,
 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Hi,

jca@HIDDEN here, I'm the maintainer of the GNU Emacs port in the
OpenBSD ports tree[0].

I can confirm what Yasuoka-san wrote, the OpenBSD project only provides
some kind of support for the two latest OpenBSD releases[1].  We highly
discourage the use of old OpenBSD releases.

As the maintainer of the Emacs port, OpenBSD 5.3 and older releases are
completely out of scope.  I mostly care about our development branch, if
security fixes in Emacs need to be adressed in our stable releases,
I would probably handle them as patches backported from newer Emacs
versions, not as updates to newer Emacs versions.

So as far as I am concerned the proposed change can land in any upcoming
Emacs release, the sooner the better.  Since Yasuoka-san is also an
OpenBSD developer he has already pushed this change in our Emacs port[2]
with my approval.  Many thanks to him!


[0] https://cvsweb.openbsd.org/ports/editors/emacs/Makefile?rev=3D1.94&cont=
ent-type=3Dtext/x-cvsweb-markup
[1] https://www.openbsd.org/faq/faq5.html#Flavors
[2] https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/editors/emacs/patches/p=
atch-configure.diff?r1=3D1.17&r2=3D1.18&f=3Dh
=2D-=20
jca | PGP : 0x1524E7EE / 5135 92C1 AD36 5293 2BDF  DDCC 0DFA 74AE 1524 E7EE

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUTWSwa02UpMr393MDfp0rhUk5+4FAl78ciEACgkQDfp0rhUk
5+4hTw/+JnbqcIWO0K9MK0FWmIJba/UwjhP6Q7UOGMOld62+FiV/uE0usJtO8pyI
c2xDMeyTB+r73AUvu8lLy/JULDmW6KNjaP2nPI3y1MiMzZOo1YYbYW82wH1PZzKu
wESM3EWzpU3MKeKLbDxo3fpXiSuXUWGvZVNxKA7rh4g+jYTOHiuZaXc6vVnbrw7t
nK9AN1peTvjh9K67kzfomz1lQb7wWEJIQyoSDKdNa5qF2za2QH277vWP1hLYFKNm
NsUnREcfipvBMKWMbNxnlVyAGyaMN+YvgK1ukneCWU8/xfuRr7J7Zd5TbdUAOiee
sSTnQAqD5rjmmpVfD1wTZNk3lH2Zo80c20UBJQ1woPL0L+LEhgR9dyZMJCi1HoWo
vI1iANX1YeX/XRhwo7b2ueSAhdCcaFjtGmCMtdctu8l3dS1K1txeh3oWqU3exQBm
BgPi6KHOaOweDVXGEf5RUnEr3qmMogMVzmwX4Xte7tXbvBYwfyTYmqrP4irDD0vA
bPeeo379AuYQ53zpFjT3pL7hMqc318zpTev+pAkIywMbKFjHS7dPyX0OVh5wUPod
DEeiV7exGZ4cnuheb01QsQRcpXrxCivuqkyGPauT+PDA9yRZo7Z8x68SI0bM5kdI
yISUeMspUXhu/VL2HXoULQbgz0WxwPLE7hMCo+Vi8rvp/9kEh/k=
=syao
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 30 Jun 2020 15:37:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 11:37:17 2020
Received: from localhost ([127.0.0.1]:51486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqIJx-0006r8-4m
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 11:37:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jqIJv-0006qv-S6
 for 42059 <at> debbugs.gnu.org; Tue, 30 Jun 2020 11:37:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51641)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jqIJp-00034E-CC; Tue, 30 Jun 2020 11:37:09 -0400
Received: from [176.228.60.248] (port=4813 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jqIJn-0004dx-8p; Tue, 30 Jun 2020 11:37:07 -0400
Date: Tue, 30 Jun 2020 18:36:59 +0300
Message-Id: <83lfk4zht0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <CC39B46A-2774-45A3-AFF6-195B3865DB36@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Tue, 30 Jun 2020 16:24:55 +0200)
Subject: Re: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
References: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
 <20200630.224929.476624940263769257.yasuoka@HIDDEN>
 <CC39B46A-2774-45A3-AFF6-195B3865DB36@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42059
Cc: yasuoka@HIDDEN, 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Tue, 30 Jun 2020 16:24:55 +0200
> Cc: 42059 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
> 
> Thank you for the detailed explanation, and I think applying your patch will be all right -- 7 years is a long time in the security-conscious OpenBSD world. It would probably need an update to the NEWS file, though.
> 
> Eli, do you have any objection to the patch by Yasuoka-san, assuming that it limits the OpenBSD support to version 5.3 or newer?
> Presumably the patch would be for Emacs 28, unless there are strong security/reliability reasons for Emacs 27.

As I wrote, I'd prefer to hear the opinions of OpenBSD maintainers, if
possible.  I don't feel we know enough about that OS to make such
decisions on our own.

Alternatively, adding a compatibility feature whereby it would be
possible to build Emacs on OpenBSD without this change, would allow us
to go ahead even without asking the OpenBSD folks.

IOW, I don't want to drop support of old OpenBSD versions so easily.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 30 Jun 2020 14:32:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 10:32:21 2020
Received: from localhost ([127.0.0.1]:51374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqHJ6-00038E-Ne
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:32:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jqHJ3-000380-Ih
 for 42059 <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:32:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50767)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jqHIx-0007cT-AJ; Tue, 30 Jun 2020 10:32:11 -0400
Received: from [176.228.60.248] (port=4778 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jqHIv-0004O6-T4; Tue, 30 Jun 2020 10:32:11 -0400
Date: Tue, 30 Jun 2020 17:32:01 +0300
Message-Id: <83o8p0zkta.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: YASUOKA Masahiko <yasuoka@HIDDEN>
In-Reply-To: <20200630.224929.476624940263769257.yasuoka@HIDDEN> (message
 from YASUOKA Masahiko on Tue, 30 Jun 2020 22:49:29 +0900 (JST))
Subject: Re: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
References: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
 <20200630.224929.476624940263769257.yasuoka@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42059
Cc: mattiase@HIDDEN, 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 30 Jun 2020 22:49:29 +0900 (JST)
> From: YASUOKA Masahiko <yasuoka@HIDDEN>
> Cc: 42059 <at> debbugs.gnu.org
> 
> On Tue, 30 Jun 2020 13:52:21 +0200
> Mattias Engdegård <mattiase@HIDDEN> wrote:
> > Thanks for the patch! I'd be happy to apply it, but first: can you
> > confirm that older OpenBSD versions are still able to build Emacs with
> > that patch applied, or argue that this is a lesser problem?
> 
> Although old versions might become not able to build Emacs with the
> patch, I suggest Emacs should have the patch.
> 
> Firstly the versions are too old.  posix_openpt(3) had been introduced
> to OpenBSD at OpenBSD 5.3, it was 7 years ago and 14 versions before
> the latest.  It was 6 years ago when the last version which doesn't
> have posix_openpt(3) became out of support.

Would it be possible to contact the OpenBSD developers and/or the
persons who prepare the Emacs distros for OpenBSD, and ask for their
opinion about this?  I mean, I wouldn't want to drop support for some
versions of an OS without at least consulting the relevant developers.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 30 Jun 2020 14:25:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 10:25:08 2020
Received: from localhost ([127.0.0.1]:51365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqHC8-0002vv-48
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:25:08 -0400
Received: from mail235c50.megamailservers.eu ([91.136.10.245]:18104
 helo=mail56c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1jqHC1-0002vK-Sl
 for 42059 <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:25:06 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1593527099;
 bh=lXPjMdYWtTNaBNKBuHiak6FpZZ9MMi4UeHr7brERNMM=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=sAZFtbUbniLbakuxfuwbT4rhx73jeiiN/6c7TxG/nMNppodAjZGh/QuWIj7VMzVci
 oRhrfyMDzwphFj9SuPi2XKCYRpcon7hw+Wic7I6jV6/0PHzu5QQr6JhI54I5Jgv57Y
 eEOetNyVTPBkpskqGIiJsHyS7U/1zFSc13rekXs4=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail56c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 05UEOuu1029032; 
 Tue, 30 Jun 2020 14:24:58 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.14\))
Subject: Re: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <20200630.224929.476624940263769257.yasuoka@HIDDEN>
Date: Tue, 30 Jun 2020 16:24:55 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <CC39B46A-2774-45A3-AFF6-195B3865DB36@HIDDEN>
References: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
 <20200630.224929.476624940263769257.yasuoka@HIDDEN>
To: YASUOKA Masahiko <yasuoka@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.14)
X-CTCH-RefID: str=0001.0A782F23.5EFB4B3B.007C, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=UqsdyN4B c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=Fqqiea_mAAAA:8 a=C8wSxlySW8VqJVWVorYA:9 a=CjuIK1q_8ugA:10
 a=dzt3JNITlgZ_SV4tLCQc:22
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 42059
Cc: Eli Zaretskii <eliz@HIDDEN>, 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

30 juni 2020 kl. 15.49 skrev YASUOKA Masahiko <yasuoka@HIDDEN>:

> Although old versions might become not able to build Emacs with the
> patch, I suggest Emacs should have the patch.
>=20
> Firstly the versions are too old.  posix_openpt(3) had been introduced
> to OpenBSD at OpenBSD 5.3, it was 7 years ago and 14 versions before
> the latest.  It was 6 years ago when the last version which doesn't
> have posix_openpt(3) became out of support.
>=20
> Secondly the old way the old versions is using has another problem. It
> caused an error when emacs opens some ptys.  To solve this problem, in
> any case, people need to use newer OpenBSD and newer Emacs.

Thank you for the detailed explanation, and I think applying your patch =
will be all right -- 7 years is a long time in the security-conscious =
OpenBSD world. It would probably need an update to the NEWS file, =
though.

Eli, do you have any objection to the patch by Yasuoka-san, assuming =
that it limits the OpenBSD support to version 5.3 or newer?
Presumably the patch would be for Emacs 28, unless there are strong =
security/reliability reasons for Emacs 27.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 30 Jun 2020 13:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 09:49:41 2020
Received: from localhost ([127.0.0.1]:50467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqGdp-0001rk-2g
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 09:49:41 -0400
Received: from s247156.ppp.asahi-net.or.jp ([220.157.247.156]:62086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yasuoka@HIDDEN>) id 1jqGdl-0001rZ-Ku
 for 42059 <at> debbugs.gnu.org; Tue, 30 Jun 2020 09:49:39 -0400
Received: by mail.2ndsoft.com (OpenSMTPD) with ESMTP id 58eb0a50;
 Tue, 30 Jun 2020 22:49:33 +0900 (JST)
Date: Tue, 30 Jun 2020 22:49:29 +0900 (JST)
Message-Id: <20200630.224929.476624940263769257.yasuoka@HIDDEN>
To: mattiase@HIDDEN
Subject: Re: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
From: YASUOKA Masahiko <yasuoka@HIDDEN>
In-Reply-To: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
References: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.3
Mime-Version: 1.0
Content-Type: Text/Plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 42059
Cc: 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Tue, 30 Jun 2020 13:52:21 +0200
Mattias Engdeg=E5rd <mattiase@HIDDEN> wrote:
> Thanks for the patch! I'd be happy to apply it, but first: can you
> confirm that older OpenBSD versions are still able to build Emacs wit=
h
> that patch applied, or argue that this is a lesser problem?

Although old versions might become not able to build Emacs with the
patch, I suggest Emacs should have the patch.

Firstly the versions are too old.  posix_openpt(3) had been introduced
to OpenBSD at OpenBSD 5.3, it was 7 years ago and 14 versions before
the latest.  It was 6 years ago when the last version which doesn't
have posix_openpt(3) became out of support.

Secondly the old way the old versions is using has another problem. It
caused an error when emacs opens some ptys.  To solve this problem, in
any case, people need to use newer OpenBSD and newer Emacs.

Thanks,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 30 Jun 2020 11:52:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 07:52:28 2020
Received: from localhost ([127.0.0.1]:50358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqEoO-0007Nc-CZ
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 07:52:28 -0400
Received: from mail79c50.megamailservers.eu ([91.136.10.89]:54534
 helo=mail70c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1jqEoM-0007NT-PC
 for 42059 <at> debbugs.gnu.org; Tue, 30 Jun 2020 07:52:27 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1593517944;
 bh=x+6zJ8bm4A6ZQuLbqYqWubEK2IwuBFdQzOEPkN02GL0=;
 h=From:Subject:Date:Cc:To:From;
 b=iV94X863pk6hkMy3MZIneupOISWwLvfOJgtdiCHaIybtAxPq7WqlRTlk5u71u5/14
 4Uj52VPa4JgEsRqSY3y5i91cR/rk9xNqntiGM3ZobaHfvPwYYE8Df0yNgOA+hSwYoT
 FMObzy1tO4W9FxaF1+DRQdLweAc4adPT7D8jzFO8=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail70c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 05UBqMmK025062; 
 Tue, 30 Jun 2020 11:52:23 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.14\))
Subject: bug#42059: 26.3; OpenBSD now has posix_openpt(3)
Message-Id: <741D1A84-A15F-4D9E-B284-8526ECB39BA2@HIDDEN>
Date: Tue, 30 Jun 2020 13:52:21 +0200
To: YASUOKA Masahiko <yasuoka@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.14)
X-CTCH-RefID: str=0001.0A782F18.5EFB26DF.0007, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=OKBZIhSB c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=Cc3XiRGG1R0VrSGVbmAA:9 a=CjuIK1q_8ugA:10
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thanks for the patch! I'd be happy to apply it, but first:
 can you confirm that older OpenBSD versions are still able to build Emacs
 with that patch applied, or argue that this is a lesser problem? 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 42059
Cc: 42059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Thanks for the patch! I'd be happy to apply it, but first: can you =
confirm that older OpenBSD versions are still able to build Emacs with =
that patch applied, or argue that this is a lesser problem?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at 42059 <at> debbugs.gnu.org:


Received: (at 42059) by debbugs.gnu.org; 27 Jun 2020 03:56:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 26 23:56:52 2020
Received: from localhost ([127.0.0.1]:43387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jp1xU-0000jt-3e
	for submit <at> debbugs.gnu.org; Fri, 26 Jun 2020 23:56:52 -0400
Received: from s247156.ppp.asahi-net.or.jp ([220.157.247.156]:65042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yasuoka@HIDDEN>) id 1jp1xP-0000jc-4Z
 for 42059 <at> debbugs.gnu.org; Fri, 26 Jun 2020 23:56:50 -0400
Received: by mail.2ndsoft.com (OpenSMTPD) with ESMTP id 4f327c74;
 Sat, 27 Jun 2020 12:56:43 +0900 (JST)
Date: Sat, 27 Jun 2020 12:56:42 +0900 (JST)
Message-Id: <20200627.125642.2094003492847014173.yasuoka@HIDDEN>
To: 42059 <at> debbugs.gnu.org
Subject: Re: 26.3; OpenBSD now has posix_openpt(3)
From: YASUOKA Masahiko <yasuoka@HIDDEN>
In-Reply-To: <20200626.185255.1790338933470538786.yasuoka@HIDDEN>
References: <20200626.185255.1790338933470538786.yasuoka@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.3
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 42059
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Fri, 26 Jun 2020 18:52:55 +0900 (JST)
YASUOKA Masahiko <yasuoka@HIDDEN> wrote:
> OpenBSD now has posix_openpt(3), emacs should use that.
> A diff is attached.
> 
> Currently emacs uses an old way which actually causes a problem.  I am
> using gnupg through Mew(*1) which run on emacs, Mew seems to create a
> process without a pty regardless it specifies "process-connection-type
> pty" properly.  The pty is required to pass the passphrase.
> 
> *1) http://mew.org/

The patch I sent previously was reversed.  Let me update it.

--- configure.ac.orig	Thu Aug 22 07:25:23 2019
+++ configure.ac	Fri Jun 26 18:33:33 2020
@@ -4620,11 +4620,11 @@ case $opsys in
     AC_DEFINE(PTY_TTY_NAME_SPRINTF, [])
     ;;
 
-  gnu | openbsd | qnxnto )
+  gnu | qnxnto )
     AC_DEFINE(FIRST_PTY_LETTER, ['p'])
     ;;
 
-  gnu-linux | gnu-kfreebsd | dragonfly | freebsd | netbsd | darwin | nacl )
+  gnu-linux | gnu-kfreebsd | dragonfly | freebsd | openbsd | netbsd | darwin | nacl )
     dnl if HAVE_GRANTPT
     if test "x$ac_cv_func_grantpt" = xyes; then
       AC_DEFINE(UNIX98_PTYS, 1, [Define if the system has Unix98 PTYs.])






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jun 2020 13:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 26 09:41:29 2020
Received: from localhost ([127.0.0.1]:42040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1joobd-00020M-KN
	for submit <at> debbugs.gnu.org; Fri, 26 Jun 2020 09:41:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:54704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yasuoka@HIDDEN>) id 1jol9D-0000Z3-5l
 for submit <at> debbugs.gnu.org; Fri, 26 Jun 2020 05:59:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33624)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yasuoka@HIDDEN>)
 id 1jol9B-0003Zy-HW
 for bug-gnu-emacs@HIDDEN; Fri, 26 Jun 2020 05:59:49 -0400
Received: from s247156.ppp.asahi-net.or.jp ([220.157.247.156]:58721)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <yasuoka@HIDDEN>)
 id 1jol93-0003jy-Oq
 for bug-gnu-emacs@HIDDEN; Fri, 26 Jun 2020 05:59:45 -0400
Received: by mail.2ndsoft.com (OpenSMTPD) with ESMTP id b604ae4e;
 Fri, 26 Jun 2020 18:52:55 +0900 (JST)
Date: Fri, 26 Jun 2020 18:52:55 +0900 (JST)
Message-Id: <20200626.185255.1790338933470538786.yasuoka@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; OpenBSD now has posix_openpt(3)
From: YASUOKA Masahiko <yasuoka@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.3
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Received-SPF: permerror client-ip=220.157.247.156;
 envelope-from=yasuoka@HIDDEN; helo=s247156.ppp.asahi-net.or.jp
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/26 05:52:56
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, RDNS_DYNAMIC=0.982,
 SPF_HELO_NONE=0.001, T_SPF_PERMERROR=0.01,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 26 Jun 2020 09:41:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

OpenBSD now has posix_openpt(3), emacs should use that.
A diff is attached.

Currently emacs uses an old way which actually causes a problem.  I am
using gnupg through Mew(*1) which run on emacs, Mew seems to create a
process without a pty regardless it specifies "process-connection-type
pty" properly.  The pty is required to pass the passphrase.

*1) http://mew.org/


--- configure.ac.orig	Fri Jun 26 18:33:33 2020
+++ configure.ac	Thu Aug 22 07:25:23 2019
@@ -4620,11 +4620,11 @@ case $opsys in
     AC_DEFINE(PTY_TTY_NAME_SPRINTF, [])
     ;;
 
-  gnu | qnxnto )
+  gnu | openbsd | qnxnto )
     AC_DEFINE(FIRST_PTY_LETTER, ['p'])
     ;;
 
-  gnu-linux | gnu-kfreebsd | dragonfly | freebsd | openbsd | netbsd | darwin | nacl )
+  gnu-linux | gnu-kfreebsd | dragonfly | freebsd | netbsd | darwin | nacl )
     dnl if HAVE_GRANTPT
     if test "x$ac_cv_func_grantpt" = xyes; then
       AC_DEFINE(UNIX98_PTYS, 1, [Define if the system has Unix98 PTYs.])


Configured using:
 'configure --build=amd64-unknown-openbsd --without-sound
 --with-x-toolkit=gtk3 --prefix=/usr/local --sysconfdir=/etc
 --mandir=/usr/local/man --infodir=/usr/local/info
 --localstatedir=/var --disable-silent-rules --disable-gtk-doc
 'CFLAGS=-O2 -pipe -g -fno-pie' CPPFLAGS=-I/usr/local/include
 'LDFLAGS=-L/usr/local/lib -nopie -g''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK DBUS GSETTINGS GLIB NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM THREADS LCMS2

Important settings:
  value of $LC_CTYPE: ja_JP.UTF-8
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: 
  locale-coding-system: utf-8-unix

Major mode: Summary

Minor modes in effect:
  diff-auto-refine-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug message rmc puny seq byte-opt gv bytecomp
byte-compile cconv dired dired-loaddefs format-spec rfc822 mml mml-sec
password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils misearch multi-isearch anthy-conf
anthy-dic anthy vc-git diff-mode easy-mmode pp qp mew-varsx mew-unix
mew-auth mew-config mew-imap2 mew-imap mew-nntp2 mew-nntp mew-pop
mew-smtp mew-ssl mew-ssh mew-net mew-highlight mew-sort mew-fib
mew-ext mew-refile mew-demo mew-attach mew-draft mew-message
mew-thread mew-virtual mew-summary4 mew-summary3 mew-summary2
mew-summary mew-search mew-pick mew-passwd mew-scan mew-syntax mew-bq
mew-smime mew-pgp mew-header mew-exec mew-mark mew-mime mew-edit
mew-decode mew-encode mew-cache mew-minibuf mew-complete mew-addrbook
mew-local mew-vars3 mew-vars2 mew-vars mew-env mew-lang-jp mew-mule3
mew-mule mew-gemacs easymenu mew-key mew-func mew-blvs mew-const mew
elec-pair edmacro kmacro cl-loaddefs cl-lib time-date mule-util
japan-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind kqueue lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 166712 13664)
 (symbols 48 26580 2)
 (miscs 40 396 845)
 (strings 32 50253 1145)
 (string-bytes 1 1271766)
 (vectors 16 22102)
 (vector-slots 8 838358 23398)
 (floats 8 79 319)
 (intervals 56 3324 0)
 (buffers 992 16))




Acknowledgement sent to YASUOKA Masahiko <yasuoka@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42059; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Jul 2020 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.